<div class="ui container">
  <h1> Store SPA </h1>
  <div class="ui top attached tabular menu">
    <a class="item active" data-tab="user-profile">User Profile</a>
    <a class="item" data-tab="products">Products</a>
    <a class="item" data-tab="add-a-product">Add a product</a>
  </div>

  <div class="ui bottom attached tab segment active" data-tab="user-profile">
    <app-user-profile></app-user-profile>
  </div>
  <div class="ui bottom attached tab segment" data-tab="products">
    <app-product-list [products]="productsFromRoot"></app-product-list>
  </div>
  <div class="ui bottom attached tab segment" data-tab="add-a-product">
    <app-create-product (productCreated)="onProductCreated($event)"></app-create-product>
  </div>
</div>
